Subject: bug#7781: hunspell and latex-mode

From: Peter Münster <[email-masked]>
Date: Tue, 29 Apr 2014 13:54:54 +0200

On Tue, Apr 29 2014, Agustin Martin wrote:

> Please find it attached. Apart from the misalignment problem the only
> difference seems to be that I have lots of dicts installed and the
> ~/.openoffice.org/ path.

There is probably not enough information in the debug buffer.

Could you please try this:

mv /usr/bin/hunspell /usr/bin/hunspell-orig

And create the file /usr/bin/hunspell with the following content:

--8<---------------cut here---------------start------------->8---
#!/bin/bash
tee /tmp/hunspell-input | hunspell-orig "$@" | tee /tmp/hunspell-output
--8<---------------cut here---------------end--------------->8---

This is what I get:

input:
--8<---------------cut here---------------start------------->8---
!
+
^bla
--8<---------------cut here---------------end--------------->8---

output:
--8<---------------cut here---------------start------------->8---
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.2)
& bla 15 0: alb, bl, la, blat, bola, blag, blah, blab, lab, baa, bra, boa, Ila, Ala, Ola
--8<---------------cut here---------------end--------------->8---

I guess, that you get "bla 15 1", because of the "^" before the "bla".

That would mean, that my hunspell would need another patch. Which one
please?

Thanks for your efforts,
-- 
           Peter